<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('activit_vie_scolaires', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('infirmerie');
            $table->string('bibliothek');
            $table->string('cantin');
            $table->string('activits');
            $table->string('cooperativ');
            $table->string('projet');
            $table->integer('order');
            $table->unsignedBigInteger('report_quarter_id');
            $table->foreign('report_quarter_id')->references('id')->on('report_quarters')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('activit_vie_scolaires');
    }
};
